### A free/open-source library for quantitative finance

Static Public Member Functions
Factorial Class Reference

Factorial numbers calculator More...

`#include <ql/math/factorial.hpp>`

List of all members.

## Static Public Member Functions

static Real | get (Natural n)
static Real | ln (Natural n)

## Detailed Description

Factorial numbers calculator

Tests:
  the correctness of the returned value is tested by checking it against numerical calculations.